com.creamtec.ajaxswing.rendering.html.positioned

## Class AjaxComponentState

- java.lang.Object
- - com.creamtec.ajaxswing.rendering.html.positioned.AjaxComponentState

-     public class AjaxComponentState
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Object` | `component`
    `java.util.List<PageInterval>` | `pageIntervals`
    `boolean` | `partialUpdateAllowed`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxComponentState(java.lang.Object component, AjaxPage ajaxPage, java.lang.String namePostfix)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `computeHash(AjaxPage page)`
    `void` | `endInterval(AjaxPage ajaxPage)`
    `PageInterval` | `getFirstInterval()`
    `int` | `getHash()`
    `PageInterval` | `getLastInterval()`
    `java.util.List<PageInterval>` | `getPageIntervals()`
    `ComponentState` | `getState()`
    `boolean` | `hasIntervals()`
    `boolean` | `ignoreThisState()`
    `void` | `setHash(int hash)`
    `void` | `setIgnoreThisState(boolean ignore)`
    `void` | `setPageIntervals(java.util.List<PageInterval> pageIntervals)`
    `void` | `setState(ComponentState state)`
    `void` | `startInterval(AjaxPage ajaxPage)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pageIntervals

          public java.util.List<PageInterval> pageIntervals

    - #### partialUpdateAllowed

          public boolean partialUpdateAllowed

    - #### component

          public java.lang.Object component

  - ### Constructor Detail

    - #### AjaxComponentState

          public AjaxComponentState(java.lang.Object component,
                            AjaxPage ajaxPage,
                            java.lang.String namePostfix)

  - ### Method Detail

    - #### computeHash

          public void computeHash(AjaxPage page)

    - #### getFirstInterval

          public PageInterval getFirstInterval()

    - #### getLastInterval

          public PageInterval getLastInterval()

    - #### startInterval

          public void startInterval(AjaxPage ajaxPage)

    - #### endInterval

          public void endInterval(AjaxPage ajaxPage)

    - #### getPageIntervals

          public java.util.List<PageInterval> getPageIntervals()

    - #### setPageIntervals

          public void setPageIntervals(java.util.List<PageInterval> pageIntervals)

    - #### getHash

          public int getHash()

    - #### setHash

          public void setHash(int hash)

    - #### getState

          public ComponentState getState()

    - #### setState

          public void setState(ComponentState state)

    - #### setIgnoreThisState

          public void setIgnoreThisState(boolean ignore)

    - #### ignoreThisState

          public boolean ignoreThisState()

    - #### hasIntervals

          public boolean hasIntervals()

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.